.de Vb \" Begin verbatim text
.ft CW
.nf
.ne \\$1
..
.de Ve \" End verbatim text
.ft R
.fi
..


.TH "INSTALL" 1 "2021-01-08" "" "Annotation Pipeline"

.SH SYNOPSIS
Annotation Pipeline installation and dependency documentation

.SS TL;DR

.EX
    make setup
    make validate
.EE

.SH DEPENDENCIES
The \fBAnnotation Pipeline\fR uses \fBsingularity\fR containers for most of the
required software. However, there are a few packages that still need to be
installed before running the pipeline.

.SS Bare-Metal

.TP 23
.BR gffread "     [ 0.12.3 ]"
\fBgffread\fR either needs to be installed into the \fBAnnotation Pipeline\fR
directory or the installation directory needs to be in the \fIPATH\fR
environment variable.


.TP 23
.BR "GeneMark ES" "   [ 4.61 ]"
Because of the restrictive license of genemark. The user will have to supply
this tool and the license file to run it. It can be downloaded from
.nh
.IR http://topaz.gatech.edu/GeneMark/license_download.cgi .
.hy
Once downloaded and installed, the variable \fIGENEMARK\fR will need to be
updated.

.TP 23
.BR GMAP "    [ 2020-10-14 ]"
\fBgmap\fR either needs to be installed into the \fBAnnotation Pipeline\fR
directory or the installation directory needs to be in the \fIPATH\fR
environment variable.

.SS Containers
Below is a list of the required containers and the default location. Modify the
\fIconfig.mk\fR file if the containers are in a different location.
\fI$(pipeline)/\fR is the location of the \fBAnnotation Pipeline\fR

.Vb 10
\& hisat       /apps/singularity-3/hisat2/hisat2-v2.1.0-2-deb_cv1.sif
\& braker      /apps/singularity-3/braker2/braker2-2.1.5--1.sif
\& blast       /apps/singularity-3/blast/blast-2.9.0.sif
\& mikado      /apps/singularity-3/mikado/mikado-2.0rc2--py38h6ed170a_1.sif
\& samtools    /apps/singularity-3/samtools/samtools-v1.9-4-deb_cv1.sif
\& maker       /apps/singularity-3/maker/maker-2.31.10--pl526h61907ee_17.sif
\& stringtie   /apps/singularity-3/stringtie/stringtie-2.1.2--h7e0af3c_1.sif
\& cufflinks   /apps/singularity-3/cufflinks/cufflinks-2.2.1--py36_2.sif
\& portcullis  /apps/singularity-3/portcullis/portcullis-1.2.2--py38h8097dd8_1.sif
\& trinity     $(pipeline)/trinity_2.11.0--h5ef6573_0.sif
\& tetools     $(pipeline)/tetools_1.2.sif
.Ve

.SS R libraries
The following \fBR\fR libraries are required. The either need to be installed
into the \fIrlibs/\fR directory of the \fBAnnotation Pipeline\fR or need the be
globally accessible.

.Vb
getopt
ggplot2
reshape2
.Ve
